Skip to main content
`Ctrl`+`K`

# TSGetCostIntegral

Returns the values of the integral term in the cost functions. It is valid to call the routine after a backward run.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSGetCostIntegral(TS ts, Vec *v)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- v - the vector containing the integrals for each cost function

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdjointSolve()`, `TSSetCostIntegrand()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages